Update a team by ID
curl --request PUT \
--url https://wmc.wiremockapi.cloud/v1/teams/{teamId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"team": {
"name": "Platform"
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/teams/{teamId}"
payload = { "team": { "name": "Platform" } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({team: {name: 'Platform'}})
};
fetch('https://wmc.wiremockapi.cloud/v1/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"team": {
"id": "p9e4r",
"aclSubject": "dyv8j",
"aclObject": "626vg",
"name": "Platform",
"links": {
"organisation": "/v1/organisations/mgk7g",
"aclSubject": "/v1/acl/subjects/dyv8j",
"aclObject": "/v1/acl/objects/626vg",
"acl": "/v1/teams/p9e4r/acl{?subjectId}"
}
}
}{
"errors": [
{
"title": "Invalid query parameter format",
"detail": "The offset parameter value must be a positive integer"
}
]
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}{
"code": 404,
"message": "HTTP 404 Not Found"
}{
"errors": [
{
"title": "Invalid JSON",
"detail": "json pointer /mockApi not present; it is required and must have json type object",
"source": {}
}
]
}Teams
Update a team by ID
Rename a team. Renaming to the name the team already holds is a no-op.
PUT
/
v1
/
teams
/
{teamId}
Update a team by ID
